Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		imlib
Version:	1.9.15
Release:	4
License:	GNU/GPL 
URL:		http://ftp.gnome.org/pub/GNOME/sources/imlib/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-aclocal.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Imlib is a display depth-independent image loading and rendering library.

#Automatically resolved build dependencies
BuildRequires: giflib-devel
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libtiff-devel
BuildRequires: libXext-devel
BuildRequires: pkg-config
BuildRequires: zlib-devel

%description
Imlib is a display depth-independent image loading and rendering library.
Imlib is designed to simplify and speed up the process of loading images
and obtaining X Window System drawables.  Imlib provides many simple
manipulation routines which can be used for common operations.  

Install imlib if you need an image loading and rendering library for X11R6.
You may also want to install the imlib-cfgeditor package, which will help
you configure Imlib.


%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
./configure --prefix=%_prefix \
--sysconfdir=%_sysconfdir \
--libdir=%_libdir \
--mandir=%_mandir \
--bindir=%_bindir \
--datadir=%_datadir \
--includedir=%_includedir
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%_prefix \
    sysconfdir=$RPM_BUILD_ROOT%_sysconfdir \
    libdir=$RPM_BUILD_ROOT%_libdir \
    bindir=$RPM_BUILD_ROOT%_bindir \
    datadir=$RPM_BUILD_ROOT%_datadir \
    mandir=$RPM_BUILD_ROOT%_mandir \
    includedir=$RPM_BUILD_ROOT%_includedir install
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_sysconfdir/im_palette*.pal
%_sysconfdir/imrc
%_libdir/libImlib.so.*

%files devel
%defattr(-,root,root)
%_bindir/imlib-config
%_includedir/Imlib.h
%_includedir/Imlib_*.h
%_libdir/libImlib.so
%_libdir/libImlib.a
%_libdir/libImlib.la
%_pkgconfig/imlib.pc
%_pkgconfig/imlibgdk.pc
%_aclocal/imlib.m4
%_mandir/man1/imlib-config.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Aug 11 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.9.15-4
- rebuilt against libjpeg 7
* Sun Feb 11 2007 Christian Metzen <metzench@ccux-linux.de> 1.9.15-3
- rebuild against giflib
* Tue Nov 29 2005 Christian Wasem <wasem@ccux-linux.de> 1.9.15-2
- rebuilt, removed wrong Obsoletes-Tag, 
- moved more files to devel,
- replaced sed fixes with aclocal patch
* Thu Apr 21 2005 Christian Wasem <wasem@ccux-linux.de> 1.9.15-1
- added aclocal fix
- update to Version 1.9.15
